<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#ffffff"
    android:orientation="vertical">

    <Button
        android:id="@+id/resume_game"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:focusable="false"
        android:text="继续游戏"></Button>

    <Button
        android:id="@+id/stop_game"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:focusable="false"
        android:text="退出游戏"></Button>

    <Button
        android:id="@+id/ratioCoreButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Core" />

    <Button
        android:id="@+id/ratioFullscreenButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Fullscreen" />

    <Button
        android:id="@+id/ratioCustomButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Custom" />

    <RadioGroup
        android:id="@+id/radio_gp_screen"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:focusable="false"
        android:orientation="horizontal">

        <RadioButton
            android:id="@+id/normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:checked="true"
            android:focusable="false"
            android:text="Normal"
            android:textColor="#000000"></RadioButton>

        <RadioButton
            android:id="@+id/sai_2x"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:focusable="false"
            android:text="2xSaI"
            android:textColor="#000000"></RadioButton>

        <RadioButton
            android:id="@+id/scanline_game"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:focusable="false"
            android:text="Scanline2x"
            android:textColor="#000000"></RadioButton>
    </RadioGroup>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="写入存档："
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/archive_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/archive_2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/archive_3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/archive_4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/archive_5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>
    </LinearLayout>


    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="读取存档："
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/read_archive_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/read_archive_2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/read_archive_3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/read_archive_4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>

        <TextView
            android:id="@+id/read_archive_5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="NULL"
            android:textColor="#000000"></TextView>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/key_setting_bg"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="30px"
        android:orientation="horizontal">

    </LinearLayout>

    <Button
        android:id="@+id/key_setting_switch"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:layout_marginTop="10px"
        android:text="开始设置按键"></Button>


    <RadioGroup
        android:id="@+id/key_radio_grop"
        android:orientation="horizontal"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"></RadioGroup>


    <TextView
        android:id="@+id/keyName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10px"
        android:textColor="@color/black"></TextView>

    <Button
        android:id="@+id/key_setting_commit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10px"
        android:text="确定"></Button>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"/>

</LinearLayout>